Subject: bug#67150: eglot with typescript language server >= 4.1.0

From: Simon Pugnet <[email-masked]>
Date: Wed, 15 Nov 2023 10:27:04 +0000

João Távora <[email-masked]> writes:

>> I'm not sure if this fix is correct. In the documentation for
>> `eglot-server-programs' it says: -
>>
>> * A list (MAJOR-MODE-SYMBOL :LANGUAGE-ID ID) where
>>   MAJOR-MODE-SYMBOL is the aforementioned symbol and ID is a
>>   string identifying the language to the server;
>>
>> However the commit 260ba357bbe3e6faaadb20d998107c11fab40aa5 sets 
>> the
>> `:language-id' to symbols. So I think these should be strings 
>> instead,
>> e.g. "javascript".
>
> Yup, that was a mistake, guess I should have tested, but I don't
> have this language server.  Keywords would probably work too,
> but I fixed them to strings as you suggest.  Pushed to master
> and cherry-picked to emacs-29.

Perfect, I can confirm that this now works correctly in emacs-29.

Thanks for the quick fix!

Kind regards,

-- 
Simon Pugnet
https://www.polaris64.net/
PGP key fingerprint: 3BF7 85DE 162C 00C8 FB4D  A6FD BA13 59A8 2C0B 
3EF9